# Secret

A Cypher secret is the standard secret module that stores a key/value in encrypted form.

Key
:   Pattern “secret/key”

    - EXAMPLE: secret/mysecret

Value
:   Add the secret value to be encrypted

Lease
:   Enter lease time in seconds (ex. 604800 for one week)

Save changes and the secret will be encrypted and available for use.

If your VM Essentials user role has Cypher: Decrypt permissions, a “DECRYPT” button will be available in the Cypher section to view the secret.

To delete the secret, select Actions  >  Remove and confirm.
